Avro C#

Public Member Functions | Static Public Attributes | Properties | List of all members
Avro.CodeGenUtil Class Reference

A singleton class containing data used by codegen. More...

## Public Member Functions
string | Mangle (string name)
| Append @ to all reserved keywords that appear on the given name. More...
string | UnMangle (string name)
| Remove all the . More...

## Static Public Attributes
const string | Object = "System.Object"
| Fully-qualified name of a Object type. More...

## Properties
static CodeGenUtil | Instance = new CodeGenUtil()`[get]`
| Gets singleton instance of this class. More...
CodeNamespaceImport[] | NamespaceImports`[get]`
| Gets namespaces to import in generated code. More...
CodeCommentStatement | FileComment`[get]`
| Gets comment included at the top of each generated code file. More...
HashSet< string > | ReservedKeywords`[get]`
| Gets reserved keywords in the C# language. More...
CodeAttributeDeclaration | GeneratedCodeAttribute`[get]`
| Gets the generated code attribute. More...

## Detailed Description

A singleton class containing data used by codegen.

## Member Function Documentation

## ◆ Mangle()

string Avro.CodeGenUtil.Mangle | ( | string | name | ) |
| inline

Append @ to all reserved keywords that appear on the given name.

Parameters

  name | The name.

Returns
  updated string.

## ◆ UnMangle()

string Avro.CodeGenUtil.UnMangle | ( | string | name | ) |
| inline

Remove all the .

Parameters

  name | The name.

Returns
  updated string.

## Member Data Documentation

## ◆ Object

const string Avro.CodeGenUtil.Object = "System.Object"
| static

Fully-qualified name of a Object type.

## Property Documentation

## ◆ FileComment

CodeCommentStatement Avro.CodeGenUtil.FileComment
| get

Gets comment included at the top of each generated code file.

The file comment.

## ◆ GeneratedCodeAttribute

CodeAttributeDeclaration Avro.CodeGenUtil.GeneratedCodeAttribute
| get

Gets the generated code attribute.

The generated code attribute.

## ◆ Instance

CodeGenUtil Avro.CodeGenUtil.Instance = new CodeGenUtil()
| static get

Gets singleton instance of this class.

The instance.

## ◆ NamespaceImports

CodeNamespaceImport [] Avro.CodeGenUtil.NamespaceImports
| get

Gets namespaces to import in generated code.

The namespace imports.

## ◆ ReservedKeywords

HashSet<string> Avro.CodeGenUtil.ReservedKeywords
| get

Gets reserved keywords in the C# language.

The reserved keywords.

The documentation for this class was generated from the following file:

- src/apache/main/CodeGen/CodeGenUtil.cs